import { defineComponent as c, onMounted as p, resolveComponent as i, openBlock as e, createBlock as o, unref as n, withCtx as t, createVNode as f, KeepAlive as u, resolveDynamicComponent as _ } from "vue";
import { aq as m, R as s } from "./index-BkxFjINf.js";
const x = /* @__PURE__ */ c({
  __name: "App",
  setup(d) {
    return p(() => {
    }), (v, h) => {
      const r = i("a-config-provider");
      return e(), o(r, {
        locale: n(m),
        theme: { token: { fontSize: 13, borderRadius: 5, colorPrimary: "#1890ff" } }
      }, {
        default: t(() => [
          f(n(s), null, {
            default: t(({ Component: a, route: l }) => [
              (e(), o(u, null, [
                (e(), o(_(a), {
                  key: l.fullPath
                }))
              ], 1024))
            ]),
            _: 1
          })
        ]),
        _: 1
      }, 8, ["locale"]);
    };
  }
});
export {
  x as default
};
